import request from '@/config/axios'

// 排队 VO
export interface QueueSequenceVO {
  id: number // id
  checkType: number // 预约检查类型
  timeSlot: number
  queueNo: number
  queueVipNo: number
  queueFull: number
  queueVipFull: number
}

// 排队 API
export const QueueSequenceApi = {

  // 获得当天未满的VIP时间段
  getTimeslotByCheckType: async (checkType: number) => {
    return await request.get({ url: `/ecg/queue-sequence/get-timeslot-by-checktype`, checkType })
  }

}

